/* Support photoset layouts */

[data-photoset-item] {
    display: inline-block;
}

[data-photoset-row] {
    display: flex;
}
[data-photoset-row] + [data-photoset-row] {
    padding-top: 4px;
}

[data-photoset-layout]:not([data-photoset-created]) [data-photoset-item] + [data-photoset-item] {
    padding-top: 4px;
}

[data-photoset-created] [data-photoset-item] {
    width: 100%;
}
[data-photoset-created] [data-photoset-item] + [data-photoset-item] {
    padding-left: 4px;
}

[data-photoset-created] [data-photoset-item] img {
    width: 100%;
    max-height: 100%;
    object-fit: cover;
}

/* Make NPF rows with multiple images aligned with rest of post */

.post-content div.npf_row,
.post div.npf_row,
body div.npf_row {
    margin-left: 0;
    margin-right: 0;
}
